/* - main.js - */
/********* Re-trans script *************/
/*
 * Custom JS for Re-trans customization of Poi
 */

(function($) { $(function() {

    // function to update attchments list
    function updateAttachmentsList() {
        var viewname = /sunpower_poi_issue_view/;
        if($('.template-sunpower_poi_issue_view').length>0) {
            var path = window.location.pathname.replace(viewname, '') + "/@@poi_issue_uploads" + window.location.search;
        } else {
            var path = "@@poi_issue_uploads";
        }
        $.ajax({
            url: path,
            cache: false,
            success: function(data) {
                $('.issue-uploads ol').replaceWith($(data).find('ol')[0]);
            }
        });
    }

    // update list after upload
    $(".template-sunpower_poi_issue_view .pat-upload").on('uploadAllCompleted', updateAttachmentsList);

    // add tooltips for automatic linking
    if ($('.portaltype-sunpowerissue').length>0 || ($('.portaltype-sunpowertracker').length>0) && /\+\+add\+\+SunPowerIssue/.test(window.location.href)) {
        $('body').append(
            "<div id='automatic-linking' style='display: none'>"+
              "<h1>Automatic linking</strong></h1>"+
              "<p><strong>Issues</strong> <span class='formHelp'>This field will automatically link to other issues in this tracker when you use these formats</span></p>"+
              "<ul>"+
              "<li>#123</li>"+
              "<li>issue:123</li>"+
              "<li>ticket:123</li>"+
              "<li>bug:123</li>"+
              "</ul>"+
              "<p><strong>Repository</strong> <span class='formHelp'>This field will automatically link to the Repository set in the tracker settings when you use these formats</span></p>"+
              "<ul>"+
              "<li>r123</li>"+
              "<li>changeset:123</li>"+
              "<li>[123]</li>"+
              "</ul>"+
              "<p class='formHelp'>Note: Repositories that use alphanumeric identification numbers need at least 4 characters to correctly identify the changeset when linking.</p>"+
            "</div>");
        $("label[for='form-widgets-details'] .formHelp, label[for='form-widgets-steps'] .formHelp, #response_help").append(" This field can create Automatic Links.<a href='#automatic-linking' class='automatic-linking pat-plone-modal' data-pat-plone-modal='width: 500px'><span class='icon-contentInfo'></span></a>");

        // add header for Root Cause Analysis section
        $("#formfield-form-widgets-related_issue").after("<h3>Root Cause Analysis – to be completed by responsible manager</h3>");
    }


    // add totals to tracker search links
    if ($(".template-sunpower_poi_tracker_view").length) {
        var link_lists = $(".tracker-info");

        function populateTotals(data) {
            link_lists.each(function() {
                list = $(this);
                key = list.data("key");
                items = data[key];
                $(items).each(function(i){
                    if (items[i]['key']) {
                        list.find("a[data-key='"+ items[i]['key'] +"']").after(
                            " <span class='info-total'>(" + items[i]['total'] + ")</span>"
                        );
                    }
                })
            })

        }

        $.ajax({
            url: $("body").data("view-url") + "/tracker_json_info",
            success: function(data) {
                populateTotals(data)
            }
        })
    }
}); })(jQuery);